/**
 * 画面読込時追加処理
 * @param 無し
 * @return 無し
 * @throws 実行時例外
 */
function onLoadExtra() {
	// 項目背景色設定
	setFieldsBgColor(ARY_FIELDS_ID    , COLOR_FIELD_NORMAL);
	setFieldsBgColor(ARY_ERR_FIELDS_ID, COLOR_FIELD_ERROR );
	// 項目長設定
	for (i = 0; i < 10; i++) {
		setMaxLength(PRM_TXT_LEAVE_REASON + i, LEN_REASON);
	}
	// フォーカス設定
	setFocus(PRM_TXT_LEAVE_REASON + 0);
}

/**
 * サーバー通信処理
 * @param 無し
 * @return 無し
 * @throws 実行時例外
 */
function submitForm(objForm) {
	// 入力チェック
	if (validate()) {
		// サーバー通信(入力エラー無の場合)
		doSubmitMessage(objForm, 'S2518', 'QC0001', '');
	}
}

/**
 * 入力チェック
 * @param 無し
 * @return チェック結果(true：OK、false：NG)
 * @throws 実行時例外
 */
function validate() {
	// フィールド背景色設定
	setFieldsBgColor(ARY_FIELDS_ID, COLOR_FIELD_NORMAL);
	// 入力チェック
	var aryMessage = new Array();
	checkRequired(PRM_TXT_LEAVE_REASON + 0, NAM_LEAVE_REASON + 1, aryMessage);
	checkRequired(PRM_TXT_LEAVE_REASON + 1, NAM_LEAVE_REASON + 2, aryMessage);
	checkRequired(PRM_TXT_LEAVE_REASON + 2, NAM_LEAVE_REASON + 3, aryMessage);
	checkRequired(PRM_TXT_LEAVE_REASON + 3, NAM_LEAVE_REASON + 4, aryMessage);
	checkRequired(PRM_TXT_LEAVE_REASON + 4, NAM_LEAVE_REASON + 5, aryMessage);
	checkRequired(PRM_TXT_LEAVE_REASON + 5, NAM_LEAVE_REASON + 6, aryMessage);

	if (aryMessage.length == 0) {
		return true;
	} else {
		showMessage(aryMessage);
		return false;
	}
}
